For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
      • GETGet webhook subscriptions
      • POSTSubscribe to a webhook
      • GETGet a webhook subscription
      • DELDelete a webhook subscription
      • PATCHUpdate a webhook subscription
      • POSTDisable a webhook subscription
      • POSTEnable a webhook subscription
      • POSTRegenerate a webhook secret and return the new webhook subscription
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
GeneralWebhook subscriptions

Update a webhook subscription

PATCH
/webhook_subscriptions/:webhook_subscription_id
PATCH
/v1/webhook_subscriptions/:webhook_subscription_id
$curl -X PATCH https://api.sandbox.monite.com/v1/webhook_subscriptions/webhook_subscription_id \
> -H "x-monite-version: 2024-05-25" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "id",
3 "event_types": [
4 "created",
5 "onboarding_requirements.updated",
6 "onboarding_requirements.status_updated"
7 ],
8 "object_type": "account",
9 "status": "enabled",
10 "url": "https://example.com/your-webhook-listener"
11}
You can update the webhook listener URL or the event list.
Was this page helpful?
Previous

Disable a webhook subscription

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

webhook_subscription_idstringRequired

ID of the webhook subscription. This is the same value as the webhook_subscription_id you receive in webhooks.

Headers

x-monite-versionstringRequired

Request

This endpoint expects an object.
event_typeslist of stringsOptional
A list of [events](https://docs.monite.com/references/webhooks/index#events) to subscribe to. If set to an empty array, the subscription includes all events triggered by the specified `object_type`.
object_typeenumOptional
The [object type](https://docs.monite.com/references/webhooks/index#events) to whose events you want to subscribe. To subscribe to events from multiple object types, create a separate subscription for each object type.
urlstringOptionalformat: "uri"1-2083 characters

An HTTPS URL to which Monite will send webhooks. This URL must be accessible over the public Internet, accept POST requests, and respond with status code 200. It must be a direct URL (no redirects).

The same URL can be used by multiple webhook subscriptions.

Response

Successful Response
idstringformat: "uuid"

A unique URL assigned to this webhook subscription. This ID is also included in the webhook data as the webhook_subscription_id field.

event_typeslist of strings

Events included in this webhook subscription. An empty array means the subscription includes all events triggered by the specified object_type.

object_typeenum
The object type associated with this webhook subscription.
statusenum
Allowed values:
urlstringformat: "uri"1-2083 characters
URL to which the webhooks are sent. The same URL can be used by multiple webhook subscriptions.

Errors

401
Patch Webhook Subscriptions ID Request Unauthorized Error
404
Patch Webhook Subscriptions ID Request Not Found Error
422
Patch Webhook Subscriptions ID Request Unprocessable Entity Error
429
Patch Webhook Subscriptions ID Request Too Many Requests Error

A list of events to subscribe to. If set to an empty array, the subscription includes all events triggered by the specified object_type.

The object type to whose events you want to subscribe.

To subscribe to events from multiple object types, create a separate subscription for each object type.